List tools
curl --request GET \
--url https://api.omnia-voice.com/api/v1/agent-tools \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.omnia-voice.com/api/v1/agent-tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.omnia-voice.com/api/v1/agent-tools"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"modelToolName": "<string>",
"type": "http",
"httpMethod": "GET",
"baseUrlPattern": "<string>",
"dynamicParameters": {},
"automaticParameters": {},
"staticParameters": {},
"agentReaction": "speaks",
"httpSecurityOptions": {
"options": [
{
"requirements": {}
}
]
},
"setCredentials": {},
"timeout": "5s",
"readOnly": false,
"agentCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"data": [
"<unknown>"
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}
}Tools
List tools
GET
/
agent-tools
List tools
curl --request GET \
--url https://api.omnia-voice.com/api/v1/agent-tools \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.omnia-voice.com/api/v1/agent-tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.omnia-voice.com/api/v1/agent-tools"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"modelToolName": "<string>",
"type": "http",
"httpMethod": "GET",
"baseUrlPattern": "<string>",
"dynamicParameters": {},
"automaticParameters": {},
"staticParameters": {},
"agentReaction": "speaks",
"httpSecurityOptions": {
"options": [
{
"requirements": {}
}
]
},
"setCredentials": {},
"timeout": "5s",
"readOnly": false,
"agentCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"data": [
"<unknown>"
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}
}Authorizations
API key for authentication
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Available options:
http, client ⌘I